require 'spec_helper'

describe CucumberRunner do

  describe ".rerun_features" do
    let(:feature_paths) { [ "cmd_1", "cmd_2" ] }
    let(:system) { double }


    context "with no options specified" do
      let(:options) { {} }

      it "calls 'system' with the joined array" do
        CucumberRunner.should_receive(:system).with("cucumber cmd_1 cmd_2")
        CucumberRunner.rerun_features(feature_paths, options)
      end
    end

    context "with zeus specified in the options hash" do
      let(:options) { { zeus: true } }

      it "calls 'system' with the joined array" do
        CucumberRunner.should_receive(:system).with("zeus cucumber cmd_1 cmd_2")
        CucumberRunner.rerun_features(feature_paths, options)
      end
    end
  end

end
